summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLubosz Sarnecki2015-06-22 22:55:12 +0200
committerLubosz Sarnecki2015-06-22 22:55:12 +0200
commitaea3e22af39a6ad09f75b1b0cb2c7ba4ff2ecb84 (patch)
tree53775a178042690b1ff6f48928b3a70fc5eb1c56
downloadaur-aea3e22af39a6ad09f75b1b0cb2c7ba4ff2ecb84.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD46
2 files changed, 60 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1959a382d46
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = django-haystack-git
+ pkgdesc = Modular search for Django.
+ pkgver = 20120918
+ pkgrel = 1
+ url = http://haystacksearch.org/
+ arch = any
+ license = MIT
+ makedepends = git
+ depends = python
+ depends = django
+ optdepends = python2-pysolr-git: solr backend
+
+pkgname = django-haystack-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8d44fb58fad
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Lubosz Sarnecki <lubosz at gmail com>
+
+pkgname=django-haystack-git
+pkgver=20120918
+pkgrel=1
+pkgdesc="Modular search for Django."
+arch=(any)
+url="http://haystacksearch.org/"
+license=('MIT')
+depends=('python' 'django')
+optdepends=('python2-pysolr-git: solr backend')
+makedepends=('git')
+source=()
+md5sums=()
+
+_gitroot="git://github.com/toastdriven/django-haystack.git"
+_gitname="django-haystack"
+
+build() {
+ msg "Connecting to github...."
+ if [[ -d ${srcdir}/${_gitname} ]] ; then
+ cd ${_gitname}
+ git pull origin
+ msg "The local files are updated..."
+ else
+ git clone ${_gitroot}
+ fi
+
+ msg "git clone done."
+
+ if [[ -d ${srcdir}/${_gitname}-build ]]; then
+ msg "Cleaning the previous build directory..."
+ rm -rf ${srcdir}/${_gitname}-build
+ fi
+
+ git clone ${srcdir}/${_gitname} ${srcdir}/${_gitname}-build
+
+ cd ${srcdir}/${_gitname}-build
+
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd ${srcdir}/${_gitname}-build
+ python2 setup.py install --root=$pkgdir --optimize=1 || return 1
+}